// @ts-check

const markdown = require("discord-markdown")

/**
 * @param {import("discord-api-types/v10").APIMessage} message
 * @returns {import("../../types").Event.M_Room_Message}
 */
function messageToEvent(message) {
	const body = message.content
	const html = markdown.toHTML(body, {
		/* discordCallback: {
			user: Function,
			channel: Function,
			role: Function,
			everyone: Function,
			here: Function
		} */
	}, null, null)
	return {
		msgtype: "m.text",
		body: body,
		format: "org.matrix.custom.html",
		formatted_body: html
	}
}

module.exports.messageToEvent = messageToEvent
